Wolves of Capitol HillAPI Docs
API Reference

Trades

The published-trades feed (filterable, keyset-paginated, CSV export).

Published trades feed (keyset-paginated, filterable).

GET
/api/v1/trades
AuthorizationBearer <token>

API key as bearer token.

In: header

Query Parameters

ticker?string

Only trades in this ticker symbol (case-insensitive, e.g. NVDA).

politician?string

Only trades by this politician, addressed by slug (e.g. nancy-pelosi).

chamber?string

Only trades disclosed by members of this chamber.

Value in"house" | "senate"
since?string

Only trades disclosed at or after this ISO 8601 instant.

Formatdate-time
limit?integer

Rows per page (1-100, default 25).

Default25
Range1 <= value <= 100
cursor?string

Opaque pagination cursor from a previous response nextCursor.

format?string

Response format. csv requires a plan with CSV export.

Default"json"
Value in"json" | "csv"

Response Body

curl -X GET "https://www.wolfofcapitolhill.com/api/v1/trades?ticker=string&politician=string&chamber=house&since=2019-08-24T14%3A15%3A22Z&limit=25&cursor=string&format=json"
{
  "data": [
    {
      "id": "string",
      "politician": {
        "slug": "string",
        "name": "string",
        "chamber": "house",
        "party": "string",
        "state": "string"
      },
      "ticker": "string",
      "assetName": "string",
      "assetType": "string",
      "side": "buy",
      "amountBucket": "string",
      "amountRange": {
        "min": 0,
        "max": 0,
        "label": "string"
      },
      "tradeDate": "2019-08-24",
      "disclosedAt": "2019-08-24T14:15:22Z",
      "filingUrl": "string",
      "ownerType": "self",
      "conflictSignal": true,
      "conflictReason": "string"
    }
  ],
  "nextCursor": "string"
}
{
  "error": "string",
  "hint": "string"
}
{
  "error": "string",
  "hint": "string"
}
{
  "error": "string",
  "hint": "string"
}
{
  "error": "string",
  "hint": "string"
}